<template>
  <main class="main">
    <div class="main__container __container">
      <h1 class="main-title">Персональные данные</h1>
      <div class="info" v-if="person.name || person.age">
        <div class="info__parent">{{ `${person.name}, ${person.age} лет` }}</div>
        <div class="info__child-box">
          <div class="info__child-title">Дети</div>
          <div class="info__child" v-for="child in person.childs" :key="child.id">{{ `${child.name}, ${child.age} лет` }}</div>
        </div>
      </div>
    </div>
  </main>
</template>

<script>
  import { mapGetters } from 'vuex'
  export default {
    name: 'FormPreview',
    computed: {
      ...mapGetters({ person: 'person/getPerson' })
    }
  }
</script>

<style lang="scss" scoped>
  .info {
    display: flex;
    flex-direction: column;
    // .info__parent
    &__parent {
      font-style: normal;
      font-weight: 700;
      font-size: 16px;
      line-height: 24px;
      color: var(--black);
      padding-bottom: 60px;
    }
    // .info__child-box
    &__child-box {
      display: flex;
      flex-direction: column;
    }
    // .info__child-title
    &__child-title {
      font-weight: 500;
      font-size: 16px;
      line-height: 24px;
      color: var(--black);
      margin-bottom: 20px;
    }
    // .info__child
    &__child {
      &:not(:last-child) {
        margin-bottom: 20px;
      }
      font-weight: 700;
      font-size: 16px;
      line-height: 24px;
      color: var(--black);
      padding: 10px 20px;
      width: fit-content;
      background-color: #f1f1f1;
      border-radius: 5px;
    }
  }
</style>
